Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.oti.shared
Class SharedClassAbstractHelper

    java.lang.Object
      com.ibm.oti.shared.SharedAbstractHelper
          com.ibm.oti.shared.SharedClassAbstractHelper

All Implemented Interfaces:
  SharedClassHelper, SharedHelper

Direct Known Subclasses:
  SharedClassTokenHelperImpl, SharedClassURLClasspathHelperImpl, SharedClassURLHelperImpl

    public abstract class SharedClassAbstractHelper

extends SharedAbstractHelper
implements SharedClassHelper

Abstract SharedClassHelper provides common functions and data to class helper subclasses.

Version:
  initial
Author:
  OTI
See Also:
  `SharedClassHelper`, `SharedAbstractHelper`

Constructor Summary
`SharedClassAbstractHelper()`

Method Summary
`SharedClassFilter` | `getSharingFilter()` Return the sharedClassFilter associated with this helper.
`boolean` | `isSharedClassCookie(byte[] classBytes)` Utility function.
`void` | `setSharingFilter(SharedClassFilter filter)` Set the sharedClassFilter for a helper instance.

Methods inherited from class com.ibm.oti.shared.SharedAbstractHelper
`getClassLoader`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.oti.shared.SharedHelper
`getClassLoader`

Constructor Detail

### SharedClassAbstractHelper

    public SharedClassAbstractHelper()

Method Detail

### isSharedClassCookie

    public boolean isSharedClassCookie(byte[] classBytes)

  Utility function. Determines whether a byte array being passed to defineClass is a class found in the shared class cache, or a class found locally.

  Parameters:
    `classBytes` - a potential shared class cookie
  Returns:
    true if bytes are a cookie.

### setSharingFilter

    public void setSharingFilter(SharedClassFilter filter)

  Set the sharedClassFilter for a helper instance. Supplying null will remove any filter currently associated with the helper instance.

  Specified by:
    `setSharingFilter` in interface `SharedClassHelper`
  Parameters:
    `filter` - The filter to use when finding and storing classes.

### getSharingFilter

    public SharedClassFilter getSharingFilter()

  Return the sharedClassFilter associated with this helper.

  Specified by:
    `getSharingFilter` in interface `SharedClassHelper`
  Returns:
    the filter instance or null if non is associated

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD